#===============================================================================
#
# Copyright (c) 2014 Qualcomm Technologies, Inc. All Rights Reserved.
# Qualcomm Technologies Proprietary and Confidential.
#
#===============================================================================

"""Contains constants related to the fbc & kpc package."""


import os

from sectools.common.utils import c_path


#------------------------------------------------------------------------------
# Common constants
#------------------------------------------------------------------------------
# Absolute path of the package
PACKAGE_PATH = os.path.dirname(os.path.realpath(__file__))

# Default config directory (relative path)
DEFAULT_CONFIG_DIR_REL = '../../..'

# Default config directory (absolute path)
DEFAULT_CONFIG_DIR = c_path.join(PACKAGE_PATH, DEFAULT_CONFIG_DIR_REL)

#General constants
ONE = 1
FIRST = 1
TWO = 2
SECOND = 2

SET = 1
NOTSET = 0

FUSEBLOWER = 'fuseblower'
KEYPROVISION = 'keyprovision'

COMMON_OUTPUT = 'common_output'
FUSEBLOWER_OUTPUT = 'fuseblower_output'
KEYPROVISION_OUTPUT = 'keyprovision_output'
SEC_DAT = 'sec.dat'

LOG_COMMON_OUTPUT = '\ncommon_output:'
LOG_FUSEBLOWER_OUTPUT = '\nfuseblower_output:'
LOG_FUSEBLOWER_VALIDATION = '\nfuseblower feature validation...'
LOG_KEYPROVISION_OUTPUT = '\nkeyprovision_output:'
LOG_KEYPROVISION_VALIDATION = '\nkeyprovision feature validation...'

#------------------------------------------------------------------------------
# Debug log paths
#------------------------------------------------------------------------------
DEST_DEBUG_DIR = 'debug'

DEST_DEBUG_FILE_DATA_MODEL_REPR = 'data_model_repr.txt'
DEST_DEBUG_FILE_SECDAT_REPR = 'secdat_repr.txt'

DEST_DEBUG_SEG1_DATA_MODEL_REPR = 'data_model_segment1_repr.txt'
DEST_DEBUG_SEG2_DATA_MODEL_REPR = 'data_model_segment2_repr.txt'
