#===============================================================================
#
# Copyright (c) 2014 Qualcomm Technologies, Inc. All Rights Reserved.
# Qualcomm Technologies Proprietary and Confidential.
#
#===============================================================================

from sectools.features.fuse_common.parsegen.secdat.secdatplugin import SecdatPluginMgr


class SecdatParseGenMgr(SecdatPluginMgr):


    @classmethod
    def get_secdat_fileversion(cls):

        import binascii

        fd = open(cls.file_path, 'rb')
        fd.seek(8)
        cls.file_version = int(binascii.hexlify(fd.read(1)))
        fd.close()

    @classmethod
    def get_secdat_revision(cls):

        secdatreventires = cls.get_map(SecdatParseGenMgr())
        if cls.file_version not in secdatreventires:
            raise RuntimeError('secdat revisions are not available for file version: ' + str(cls.file_version) + '\n'
                                   '    ' + 'Available file versions are: ' + str(secdatreventires.keys()))
        cls.parser = secdatreventires[cls.file_version]

    @classmethod
    def get_secdatparser(cls, file_info, file_version, fuse_version, file_path=None):

        cls.file_version = file_version
        cls.file_path = file_path
        cls.parser = None

        if cls.file_version is not None:
            cls.get_secdat_revision()
            return cls.parser(file_info, file_version, fuse_version)

        else:
            if cls.file_path is not None:
                cls.get_secdat_fileversion()
                cls.get_secdat_revision()
                return cls.parser(file_info, file_version, fuse_version)
            else:
                raise RuntimeError('file_version & file_path both can not be None')


secdatparsegen_mgr = SecdatParseGenMgr()

from sectools.features.fuse_common.parsegen.secdat import secdatrevone
from sectools.features.fuse_common.parsegen.secdat import secdatrevtwo

